package com.qunzhixinxi.hnqz.admin.entity.input;

import com.qunzhixinxi.hnqz.admin.enums.SubjectLocation;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;
import java.util.Set;

/**
 * 结算监控输入
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2022-07-27 16:53
 */
@Data
public class SettleAmountMonitorInput {

	/**
	 * 身份证号
	 */
	private List<String> idCards;

	private List<Integer> settleNoteIds;

	private Set<Integer> userIds;

	private LocalDate startTime;

	private LocalDate endTime;

	private SubjectLocation location;

	private SettleAmountMonitorInput() {
		LocalDate date = LocalDate.now();
		this.startTime = date.withDayOfMonth(1);
		this.endTime = date.plusMonths(1L).withDayOfMonth(1);
	}


	public SettleAmountMonitorInput(List<String> idCards, List<Integer> settleNoteIds, SubjectLocation location) {
		this();
		this.idCards = idCards;
		this.settleNoteIds = settleNoteIds;
		this.location = location;

	}

	public SettleAmountMonitorInput(Set<Integer> userIds, List<Integer> settleNoteIds, SubjectLocation location) {
		this();
		this.userIds = userIds;
		this.settleNoteIds = settleNoteIds;
		this.location = location;
	}
}
